<?xml version='1.1' encoding='UTF-8'?>
<project>
  <actions/>
  <description>Job sync to other download server</description>
  <keepDependencies>false</keepDependencies>
  <properties>
    <hudson.plugins.buildblocker.BuildBlockerProperty plugin="build-blocker-plugin@1.7.3">
      <useBuildBlocker>false</useBuildBlocker>
      <blockLevel>GLOBAL</blockLevel>
      <scanQueueFor>DISABLED</scanQueueFor>
      <blockingJobs></blockingJobs>
    </hudson.plugins.buildblocker.BuildBlockerProperty>
    <com.sonyericsson.rebuild.RebuildSettings plugin="rebuild@1.28">
      <autoRebuild>false</autoRebuild>
      <rebuildDisabled>false</rebuildDisabled>
    </com.sonyericsson.rebuild.RebuildSettings>
    <jenkins.model.BuildDiscarderProperty>
      <strategy class="hudson.tasks.LogRotator">
        <daysToKeep>7</daysToKeep>
        <numToKeep>1000</numToKeep>
        <artifactDaysToKeep>-1</artifactDaysToKeep>
        <artifactNumToKeep>-1</artifactNumToKeep>
      </strategy>
    </jenkins.model.BuildDiscarderProperty>
    <hudson.model.ParametersDefinitionProperty>
      <parameterDefinitions>
        <hudson.model.ChoiceParameterDefinition>
          <name>profile</name>
          <description></description>
          <choices class="java.util.Arrays$ArrayList">
            <a class="string-array">
              <string>all</string>
              <string>unified</string>
              <string>unified_4.0</string>
              <string>mobile_3.0</string>
              <string>tv_3.0</string>
              <string>tv_3.0.m2</string>
              <string>ivi_3.0</string>
              <string>wearable</string>
              <string>wearable_3.0</string>
              <string>base</string>
              <string>base_3.0</string>
              <string>base_4.0</string>
              <string>common_3.0</string>
            </a>
          </choices>
        </hudson.model.ChoiceParameterDefinition>
        <hudson.model.TextParameterDefinition>
          <name>sync_repo_start_delay</name>
          <description></description>
          <defaultValue>0</defaultValue>
          <trim>false</trim>
        </hudson.model.TextParameterDefinition>
        <hudson.model.TextParameterDefinition>
          <name>snapshot_version</name>
          <description></description>
          <defaultValue></defaultValue>
          <trim>false</trim>
        </hudson.model.TextParameterDefinition>
      </parameterDefinitions>
    </hudson.model.ParametersDefinitionProperty>
  </properties>
  <scm class="hudson.scm.NullSCM"/>
  <quietPeriod>30</quietPeriod>
  <assignedNode>sync_download</assignedNode>
  <canRoam>false</canRoam>
  <disabled>true</disabled>
  <blockBuildWhenDownstreamBuilding>false</blockBuildWhenDownstreamBuilding>
  <blockBuildWhenUpstreamBuilding>false</blockBuildWhenUpstreamBuilding>
  <triggers>
    <hudson.triggers.TimerTrigger>
      <spec>H/2 * * * *</spec>
    </hudson.triggers.TimerTrigger>
  </triggers>
  <concurrentBuild>false</concurrentBuild>
  <builders>
    <hudson.tasks.Shell>
      <command>#!/bin/bash


if [ &quot;$profile&quot; != &quot;all&quot; ]; then
cmd=&quot;python ${WORKSPACE}/jenkins-scripts/job_trigger_for_sync_repo.py $profile --sync_repo_start_delay $sync_repo_start_delay&quot;
    if [ &quot;$snapshot_version&quot; != &quot;&quot; ]; then
        cmd+=&quot; --snapshot_version $snapshot_version&quot;
    fi
    echo $cmd
    eval $cmd
else
    python ${WORKSPACE}/jenkins-scripts/job_trigger_for_sync_repo.py unified
    python ${WORKSPACE}/jenkins-scripts/job_trigger_for_sync_repo.py unified_4.0    
    python ${WORKSPACE}/jenkins-scripts/job_trigger_for_sync_repo.py mobile_3.0
    python ${WORKSPACE}/jenkins-scripts/job_trigger_for_sync_repo.py wearable_3.0    
    python ${WORKSPACE}/jenkins-scripts/job_trigger_for_sync_repo.py tv_3.0
    python ${WORKSPACE}/jenkins-scripts/job_trigger_for_sync_repo.py ivi_3.0
    python ${WORKSPACE}/jenkins-scripts/job_trigger_for_sync_repo.py base
    python ${WORKSPACE}/jenkins-scripts/job_trigger_for_sync_repo.py base_3.0
    python ${WORKSPACE}/jenkins-scripts/job_trigger_for_sync_repo.py base_4.0    
    python ${WORKSPACE}/jenkins-scripts/job_trigger_for_sync_repo.py common_3.0    
fi</command>
    </hudson.tasks.Shell>
    <hudson.plugins.parameterizedtrigger.TriggerBuilder plugin="parameterized-trigger@2.35.2">
      <configs>
        <hudson.plugins.parameterizedtrigger.BlockableBuildTriggerConfig>
          <configs class="empty-list"/>
          <configFactories>
            <hudson.plugins.parameterizedtrigger.FileBuildParameterFactory>
              <filePattern>sync_repo_*.env</filePattern>
              <noFilesFoundAction>SKIP</noFilesFoundAction>
            </hudson.plugins.parameterizedtrigger.FileBuildParameterFactory>
          </configFactories>
          <projects>sync_repo</projects>
          <condition>ALWAYS</condition>
          <triggerWithNoParameters>false</triggerWithNoParameters>
          <triggerFromChildProjects>false</triggerFromChildProjects>
          <buildAllNodesWithLabel>false</buildAllNodesWithLabel>
        </hudson.plugins.parameterizedtrigger.BlockableBuildTriggerConfig>
      </configs>
    </hudson.plugins.parameterizedtrigger.TriggerBuilder>
    <hudson.plugins.parameterizedtrigger.TriggerBuilder plugin="parameterized-trigger@2.35.2">
      <configs>
        <hudson.plugins.parameterizedtrigger.BlockableBuildTriggerConfig>
          <configs class="empty-list"/>
          <configFactories>
            <hudson.plugins.parameterizedtrigger.FileBuildParameterFactory>
              <filePattern>___DO_NOT__SUBMIT_REQUEST_SYNC_*.env</filePattern>
              <noFilesFoundAction>SKIP</noFilesFoundAction>
            </hudson.plugins.parameterizedtrigger.FileBuildParameterFactory>
          </configFactories>
          <projects>submit-request-sync</projects>
          <condition>ALWAYS</condition>
          <triggerWithNoParameters>false</triggerWithNoParameters>
          <triggerFromChildProjects>false</triggerFromChildProjects>
          <buildAllNodesWithLabel>false</buildAllNodesWithLabel>
        </hudson.plugins.parameterizedtrigger.BlockableBuildTriggerConfig>
      </configs>
    </hudson.plugins.parameterizedtrigger.TriggerBuilder>
  </builders>
  <publishers/>
  <buildWrappers>
    <hudson.plugins.ws__cleanup.PreBuildCleanup plugin="ws-cleanup@0.34">
      <deleteDirs>false</deleteDirs>
      <cleanupParameter></cleanupParameter>
      <externalDelete></externalDelete>
    </hudson.plugins.ws__cleanup.PreBuildCleanup>
    <com.michelin.cio.hudson.plugins.copytoslave.CopyToSlaveBuildWrapper plugin="copy-to-slave@1.4.4">
      <includes>configuration, jenkins-scripts/job_trigger_for_sync_repo.py, jenkins-scripts/common/*</includes>
      <excludes></excludes>
      <flatten>false</flatten>
      <includeAntExcludes>false</includeAntExcludes>
      <hudsonHomeRelative>false</hudsonHomeRelative>
      <relativeTo>userContent</relativeTo>
    </com.michelin.cio.hudson.plugins.copytoslave.CopyToSlaveBuildWrapper>
    <EnvInjectBuildWrapper plugin="envinject@2.1.5">
      <info>
        <propertiesFilePath>${WORKSPACE}/configuration</propertiesFilePath>
        <secureGroovyScript plugin="script-security@1.43">
          <script></script>
          <sandbox>false</sandbox>
        </secureGroovyScript>
        <loadFilesFromMaster>false</loadFilesFromMaster>
      </info>
    </EnvInjectBuildWrapper>
  </buildWrappers>
</project>